/**
*SSH Shell App
*Define an app for web shell
*/
var SshShellApp = SshShellApp || {};  //Define SSH Shell App namespace.
/**
*Constructor UNAS App
*/
SshShellApp.App = function () {
    this.id = 'Terminal';
    this.name = 'Terminal';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/sshshell/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/sshshell/images/logo.png?v=6.0.6&';
    this.entryUrl = '/apps/sshshell/sshshell.html?v=6.0.6&';
    //this.entryHelpUrl = '/apps/sshshell/sshshell_help.html?v=6.0.6&';
    var self = this;
    this.SshShellAppWindow = function () {
        if(UNAS.CheckAppState('Terminal')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'SshShellAppWindow',
            title: UNAS._('Terminal'),
            icon: '/apps/sshshell/images/logo_small.png?v=6.0.6&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/sshshell/sshshell.html?v=6.0.6&',
            require: {  css: ['/apps/sshshell/css/sshshell.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Terminal",'SshShellAppWindow')}
         });
    };
    this.TerminalUninstall = function (){
        UNAS.RemoveDesktopShortcut('Terminal');
        UNAS.RemoveMenu('Terminal');
        UNAS.RemoveAppFromGroups('Terminal', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Terminal', 'Help');
        UNAS.RemoveAppFromApps('Terminal');
    };
    new UNAS.Menu('UNAS_App_Accessories_Menu', this.name, this.menuIcon, 'Terminal', '', this.SshShellAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Terminal', this.SshShellAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Universal', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Universal', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Terminal', UNAS._('Terminal')); //translate menu
        //UNAS.SetShortcutTitle('Terminal', UNAS._('Terminal'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('SshShellAppWindow', UNAS._('Terminal'));
        }
    };
    UNAS.LoadTranslation('/apps/sshshell/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SshShellAppWindow, this.TerminalUninstall);
};

new SshShellApp.App();
